Pregunta sobre WooCommerce PostNL de Wordpress:

TypeError Error: no se puede leer la propiedad ‘1’ de nulo

Un usuario pregunt贸 馃憞

El plugin elimina este error directamente al visitar la p谩gina de pago y hace lo mismo cuando cambia los datos.

Quiere compartir la direcci贸n, pero se queja de que falta la segunda parte (n煤mero), aunque no. Vi que tambi茅n quiere obtener una direcci贸n de env铆o, aunque la direcci贸n ‘Enviar a Ether’ NO est谩 marcada, lo que significa que para nuevos clientes e invitados el campo de direcci贸n estar谩 vac铆o, lo que har谩 que PostNL no pueda hacerlo. dividir, porque no hay nada que dividir.

No estoy seguro de si este error est谩 causando este error, pero despu茅s de agregar datos como invitado no se ve nada desde PostNL, no hay mensaje de error, nada. Probablemente porque quiere hacer algo con los datos de la direcci贸n.

Mientras est谩 conectado, el error persiste pero el proceso funciona.

Error total:

postnl.js?ver=3.1.7:898 Uncaught TypeError: Cannot read property '1' of null
    at Object.splitFullStreetFromInput (postnl.js?ver=3.1.7:898)
    at Object.getAddressInputValues (postnl.js?ver=3.1.7:875)
    at Object.setAddressFromInputFields (postnl.js?ver=3.1.7:845)
    at Object.callDeliveryOptions (postnl.js?ver=3.1.7:917)
    at Object.init (postnl.js?ver=3.1.7:55)
    at postnl.js?ver=3.1.7:988

URL:
https://checkout.artifexmedia.nl/

S铆, todo est谩 actualizado y el problema sigue siendo el mismo y solo WooCommerce, Storefront y PostNL est谩n activos.

(@postnl)

hace 5 meses

Actualmente estamos creando un nuevo plugin. Este problema se resolver谩 en esta versi贸n.

(@artifexmedia)

hace 5 meses

Hola PostNL,

Gracias, ya que necesito solucionar todos los problemas por m铆 mismo (hay 3 problemas principales que a煤n no he publicado, pero seguir茅 con ellos), 驴pueden informarme si hay una hoja de ruta para el nuevo plugin? o estimaci贸n del mes / per铆odo de lanzamiento y qu茅 cambios habr谩?

Actualmente hemos integrado la versi贸n actual con cambios menores, pero si el nuevo plugin va a ser significativamente diferente, me gustar铆a saber si todav铆a est谩 en uso para m铆 (y el dinero de mis clientes) para continuar instalando el plugin actual. fuerza y 鈥嬧媍ambio. |

Y tambi茅n, con su comentario, 驴puedo asumir que el plugin actual ya no ser谩 compatible? Como en; no corregir谩 los errores hasta que llegue el nuevo plugin?

Esta respuesta fue modificada hace 5 meses por.

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *